#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;


# Get the cookie
  my %cookie = wwwthreads::get_cookie();


# Assign the variables
  my $Username = $cookie{'Username'};
  my $Password = $cookie{'Password'};


# If we retrieved a Username and Password, execute start_page sub
  if(($Username) && ($Password)){

    wwwthreads::admin_start("$Username","$Password");

  }

  wwwthreads::exit();

##
## Otherwise we give them a login screen
##
  wwwthreads::send_header("Login");
  wwwthreads::table_header("Login");

  print qq~
    If you are an administrator for this forum enter your Username and Password to login to the administration page.
    <br><br>
    <form method=POST action = "$wwwthreads::config{'cgiurl'}/admin/start_page.pl">
    Username<br>
    <input type=text name = Username>
    <br><br>
    Password<br>
    <input type=password name = Password>
    <br><br>
    <input type=submit name=option value=Login>
    </form>
  ~;


  wwwthreads::send_footer();
