#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;


# Get the cookie
  my %cookie = wwwthreads::get_cookie();


# Get the form input
  my %FORM = wwwthreads::get_input();


# Assign the variables
  my $Username = $cookie{'Username'};
  my $Password = $cookie{'Password'};
  my $Number   = $FORM{'Number'};
  my $Subject  = $FORM{'Subject'};
  my $Recip    = $FORM{'Sender'};
  my $Option   = $FORM{'option'};


# If they selected delete this messages, execute that sub
  if($Option eq "Delete this message"){

    &delete_mess($Username,$Password,$Number,$Subject,$Recip);

  }


# If they selected reply to this message, execute that sub
  if($Option eq "Reply to this message"){

    &reply_mess($Username,$Password,$Number,$Subject,$Recip);

  }


# If they selected to return to start page, execute that sub
  if($Option eq "Return to your start page"){

    wwwthreads::start_page("$Username","$Password","","");

  }

  wwwthreads::exit();


######################################################################
# delete_mess - Delete this message
######################################################################

  sub delete_mess{

    my ($Username,$Password,$Number,$Subject,$Recip) = @_;

  # Connect to the database
    wwwthreads::db_connect();


  # Delete the Message
    my $Username_q = $dbh -> quote($Username);
    my $query = qq!
      DELETE FROM Messages
      WHERE Username = $Username_q
      AND Number = $Number
    !;
    my $rc = $dbh -> do ($query) or die "Can't execute query: $query. Reason: $DBI::errstr";


  # Return them to their start page
    wwwthreads::start_page($Username,$Password,"","");

  }


####################################################################
# reply_mess - Reply to this message
####################################################################

  sub reply_mess{

    my ($Username,$Password,$Number,$Subject,$Recip) = @_;

  # Give them a form to reply to a message
    wwwthreads::send_header("Reply to $Recip");

    wwwthreads::table_header("Reply to $Recip");

    print qq~ 
    <form method = POST action = "wwwthreads::config{'cgiurl'}/mess_reply.pl">
    <input type=hidden name = Username value = "$Recip">
    <input type=hidden name = Number value = "$Number">
    <input type=hidden name = Sender value = "$Username">
    Subject<br>
    <input type=text name = Subject value = "Re: $Subject" maxlength=55>
    <br><br>
    <textarea name = Message cols=80 rows=5></textarea>
    <br><br>
    <input type = submit value=submit>
    </form>
    ~;

  # Send the footer
    wwwthreads::send_footer();

  }
