#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;

# Get the cookie
  my %cookie = wwwthreads::get_cookie();


# Get the input
  my %FORM = wwwthreads::get_input();


## If we didn't find a cookie then they can't send a message until they
## login
  if (!$cookie{'Username'}) {

    wwwthreads::not_right("You have not logged in yet.  Before you can send a private message to another user you have to login.");

  }


# Assign the variables
  my $User  = $FORM{'User'};
  my $From  = $cookie{'Username'};
  my $Board = $FORM{'Board'};
  my $what  = $FORM{'what'};
  my $page  = $FORM{'page'};
  my $view  = $FORM{'view'};
  my $mode  = $FORM{'mode'};
  my $sb    = $FORM{'sb'};


# Give them a form to fill out so they can send a private message
  wwwthreads::send_header("Send a private message to $User");
  wwwthreads::table_header("Send a private message to $User");

  print qq~ 

  Fill in the following info to send a private message to $User.  They will get this message the next time they Login.
  </p><p>
  <form method=POST action ="$wwwthreads::config{'cgiurl'}/sendmessage.pl">
  <input type=hidden name=Sender value="$From">
  <input type=hidden name=Board value="$Board">
  <input type=hidden name=what value="$what">
  <input type=hidden name=page value="$page">
  <input type=hidden name=view value="$view">
  <input type=hidden name=mode value="$mode">
  <input type=hidden name=sb value="$sb">
  Username<br>
  <input type = text name = Username value=$User>
  <br><br>
  Subject<br>
  <input type = text name = Subject maxlength = 55>
  <br><br>
  <textarea name=Message cols=80 rows=5></textarea>
  <br><br>
  <input type=submit value=submit>
  <input type=reset value=reset>
  </form>

  ~;

# Send a footer
  wwwthreads::send_footer();

