#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw($dbh);
  use DBI;
  use strict;


# Grab the form
  my %FORM     = wwwthreads::get_input();
  my $Username = $FORM{'Username'};
  my $Password = $FORM{'Password'};
  my $Email    = $FORM{'Email'};
  my $option   = $FORM{'option'};

  if ($option eq "Email Password") {
    &mail_passwd ($Username);
  }
  elsif ($option eq "Login") {
    wwwthreads::start_page ($Username, $Password, 1,"");
  } 
  else {
    wwwthreads::not_right("No option was chosen");
  }

###########################################################################
# mail_passwd - Mails a password to a given email address
###########################################################################
sub mail_passwd {

  my $ip    = $ENV{'REMOTE_ADDR'};
  my $Username = shift;
    
  wwwthreads::db_connect();
  my $Username_q = $dbh->quote ($Username);
  my $query = qq!
    SELECT Username, Password, Email 
    FROM   Users
    WHERE  Username = $Username_q
  !;
  my $sth = $dbh -> prepare($query) or die "Query syntax error: $DBI::errstr. Query: $query";
  $sth -> execute();

  if ($sth->rows) {
    my ($user, $pass, $email) = $sth->fetchrow_array;
    open (MAIL, "|/usr/sbin/sendmail -t");
    print MAIL "To: $email\n";
    print MAIL "From: $wwwthreads::config{'emailaddy'}\n";
    print MAIL "Subject: Request for password\n\n";
    print MAIL "Someone from the ip address '$ip' requested the password for ";
    print MAIL "the Username '$user' for the website '$wwwthreads::config{'title'}'.  The ";
    print MAIL "password for this Username is -- $pass.";
    close (MAIL);

    wwwthreads::send_header ("Password Mailed");
    wwwthreads::table_header ("Password Mailed");
    print "The password for the Username $user has been mailed.";
    wwwthreads::send_footer;
    $sth->finish;
    wwwthreads::exit();
  }
  else {
    $sth->finish;
    wwwthreads::not_right ("Can't find the email address for $Username");
  }

}  

