#!/usr/bin/perl
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;


# Get the cookie
  my %cookie = wwwthreads::get_cookie();


# Get the form input
  my %FORM = wwwthreads::get_input();


# Assign the variables
  my $Username = $cookie{'Username'};
  my $Number = $FORM{'message'};


# Connect to the database
  wwwthreads::db_connect();


# Get the message from the database
  my $Username_q = $dbh -> quote($Username);
  my $query = qq!
    SELECT Subject,Sender,Message,When
    FROM Messages
    WHERE Username = $Username_q
    AND Number = $Number
  !;
  my $sth = $dbh -> prepare ($query) or die "Query syntax error: $DBI::errstr. Query $query";
  $sth -> execute() or die "Can't execute query: $query. Reason: $DBI::errstr";


# Assign the stuff to @arr
  my ($Subject,$Sender,$Message,$When) = $sth -> fetchrow_array;


# Convert the time
  my $time = wwwthreads::convert_time($When);


# Now show them their message
  wwwthreads::send_header("$Subject");

  wwwthreads::table_header("$Subject");

  print qq~ 

  From: $Sender<br>
  Received: $time
  <p>
  $Message
  <p>
  <form method=POST action = "$wwwthreads::config{'cgiurl'}/mess_handler.pl">
  <input type=hidden name = Number value = "$Number">
  <input type=hidden name = Subject value = "$Subject">

  <input type=hidden name = Sender value = "$Sender">
  <input type=submit name = option value = "Delete this message">
  <input type=submit name = option value = "Reply to this message">
  <input type=submit name = option value = "Return to your start page">
  </form>
  ~;

# Get rid of the N on this message, so they know its no longer new
  $Username_q = $dbh -> quote($Username);
  my $Blank_q    = $dbh -> quote("");

  $query = qq!
    UPDATE Messages
    SET Read = $Blank_q
    WHERE Username=$Username_q 
    AND Number = $Number
  !;
  my $rc = $dbh -> do ($query) or die "Can't execute query: $query. Reason: $DBI::errstr";



# Send footer
  wwwthreads::send_footer();
