#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);
  use DBI;
  use strict;


# Get the cookie
  my %cookie = wwwthreads::get_cookie();


# Assign the variables
  my $Username = $cookie{'Username'};
  my $Password = $cookie{'Password'};


# Give them a form so they can create a board
  wwwthreads::send_header("Create a board");
  wwwthreads::table_header("Create a board");

  print qq~
    Fill in the following information to create a board.
    <br><br>
    <form method=POST action = "$wwwthreads::config{'cgiurl'}/admin/docreate.pl">
    Board Title<br>
    <input type=text name = Title>
    <br><br>
    Keyword (Used for the name of the sql table)<br>
    <input type=text name = Keyword>
    <br><br>
    Description<br>
    <textarea name=Description cols=60 rows=5 wrap=soft></textarea>
    <br><br>
    Allow HTML<br>
    <input type=checkbox name=HTML value=On> Yes
    <input type=checkbox name=HTML value=Off> No
    <br><br>
    Allow Anonymous Postings<br>
    <input type=checkbox name=Anonymous value=On> Yes 
    <input type=checkbox name=Anonymous value=Off> No
    <br><br>
    Allow public to post on this board<br>
    <input type=checkbox name=Locked value="Open"> Yes
    <input type=checkbox name=Locked value="Closed"> No
    <br><br>
    <input type=submit value="Create Board">
    </form>
  ~;


# Send the footer
  wwwthreads::send_footer();
