#!/usr/bin/perl
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;


# Get the form input
  my %FORM = wwwthreads::get_input();


# Assign the variables
  my $Username  = $FORM{'Username'};
  my $Board     = $FORM{'Board'};
  my $page      = $FORM{'page'};
  my $view      = $FORM{'view'};
  my $what      = $FORM{'what'};
  my $Number    = $FORM{'Number'};
  my $mode      = $FORM{'mode'};
  my $oldnumber = $Number;
  my $sb        = $FORM{'sb'};

# Set the subject to deleted and the body to blank
  my $Subject = "Post deleted by $Username"; 
  my $Body = "";

# Connect to the database
  wwwthreads::db_connect();


# Update the database
  my $Body_q    = $dbh -> quote($Body);
  my $Subject_q = $dbh -> quote($Subject);
  my $query = qq!
    UPDATE $Board
    SET Subject = $Subject_q, Body = $Body_q
    WHERE Number = $Number
  !;
  my $rc = $dbh -> do ($query) or die "Can't execute query: $query. Reason: $DBI::errstr";


# Make sure they get refeshed to the proper page
  if($what eq "showpost") {

    wwwthreads::send_header("Your post has been entered","<META HTTP-EQUIV=\"Refresh\" CONTENT=\"5;url=$wwwthreads::config{'cgiurl'}/showpost.pl?Board=$Board&Number=$oldnumber&page=$page&view=$view&mode=$mode&sb=$sb\">");

  } else {

    wwwthreads::send_header("The post has been deleted","<META HTTP-EQUIV=\"Refresh\" CONTENT=\"5;url=$wwwthreads::config{'cgiurl'}/wwwthreads.pl?action=list&Board=$Board&page=$page&view=$view&sb=$sb\">");

  }


  wwwthreads::table_header("The post has been deleted");

  print"The post has been deleted.  You will now be returned to the forum.";


  wwwthreads::send_footer();


