#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;


# Get the form input
  my %FORM = wwwthreads::get_input();


# Grab the cookie
  my %cookie = wwwthreads::get_cookie();

# Assign the variables
  my $Username = $FORM{'Username'};
  my $Password = $cookie{'Password'};
  my $Number = $FORM{'Number'};
  my $Sender = $FORM{'Sender'};
  my $Subject = $FORM{'Subject'};
  my $Message = $FORM{'Message'};


# Get the date
  my $date = wwwthreads::get_date();


# connect to the database
  wwwthreads::db_connect();
  my $query = '';
  my $rc    = '';

# get the next message number
  $query = qq!
    SELECT _seq FROM Messages
  !;
  my $sth = $dbh -> prepare ($query) or die "Query syntax error. $DBI::errstr. Query: $query";
  $sth -> execute() or die "Can't execute query: $query. Reason: $DBI::errstr";

  my ($Next) = $sth -> fetchrow_array;


# Put the message into the database and mark it as N - New
  my $Status_q   = $dbh -> quote("N");
  my $Username_q = $dbh -> quote($Username);
  my $Subject_q  = $dbh -> quote($Subject);
  my $Sender_q   = $dbh -> quote($Sender);
  my $Message_q  = $dbh -> quote($Message);

  $query = qq!;
    INSERT INTO Messages
    (Username,Read,Subject,Sender,Message,When,Number);
    VALUES ($Username_q,$Status_q,$Subject_q,$Sender_q,$Message_q,$date,$Next)
  !; 
  $rc = $dbh -> do($query) or die "Can't execute query: $query. Reason: $DBI::errstr";


# Set the message to R - Replied
  $Status_q = $dbh -> quote("R");
 
  $query = qq!
    UPDATE Messages
    SET Read = $Status_q
    WHERE Number = $Number
  !;
 
  $rc = $dbh -> do ($query) or die "Can't execute query: $query. Reason: $DBI::errstr";
 

# Return to their start page
  $sth -> finish;
  $rc  -> finish;
  wwwthreads::start_page("$Username","$Password","","");
