#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################

  use wwwthreads qw(%config $dbh);

  use DBI;
  use strict;


# Get the form input
  my %FORM = wwwthreads::get_input();


# Assign the variables
  my $Username = $FORM{'User'};
  my $Number   = $FORM{'Number'};
  my $From     = $FORM{'Board'};
  my $what     = $FORM{'what'};
  my $page     = $FORM{'page'};
  my $view     = $FORM{'view'};
  my $mode     = $FORM{'mode'};
  my $sb       = $FORM{'sb'};


# Connect to the database
  wwwthreads::db_connect();


# Unencode the Username
  $Username = wwwthreads::url_decode($Username);


# Now show them their page 
  wwwthreads::send_header("Profile for $Username");
  wwwthreads::table_header("Profile for $Username");


# Grab the profile for this user
  my $Username_q = $dbh -> quote($Username);
  
  my $query = qq!
    SELECT Fakeemail,Totalposts,Homepage,Occupation,Hobbies,Location,Bio
    FROM Users
    WHERE Username = $Username_q
  !;
  my $sth = $dbh -> prepare($query) or die "Query syntax error: $DBI::errstr. QUery: $query";
  $sth -> execute() or die "Can't execute query: $query. Reason: $DBI::errstr";


# Assign the stuff
  my ($Fakeemail,$Totalposts,$Homepage,$Occupation,$Hobbies,$Location,$Bio) = $sth -> fetchrow_array;

  print qq~ 

  <TABLE border=0 width=100% bgcolor=$wwwthreads::config{'tdlight'} cellspacing=0>
  <tr><td width=20%>
  Email
  </td><td>
  &nbsp;<a href="mailto:$Fakeemail">$Fakeemail</a>
  </td></tr><tr><td>
  Total Posts
  </td><td>
  &nbsp;$Totalposts
  </td></tr><tr><td valign=top>
  Homepage
  </td><td>
  &nbsp;<a href="http://$Homepage">http://$Homepage</a>
  </td></tr><tr><td valign=top>
  Occupation
  </td><td>
  &nbsp;$Occupation
  </td></tr><tr><td valign=top>
  Hobbies
  </td><td>
  &nbsp;$Hobbies
  </td></tr><tr><td valign=top>
  Location
  </td><td>
  &nbsp;$Location
  </td></tr><tr><td valign=top>
  Bio
  </td><td>
  &nbsp;$Bio
  </td></tr></table>

  <a href="$wwwthreads::config{'cgiurl'}/sendprivate.pl?User=$Username&Board=$From&what=$what&page=$page&view=$view&mode=$mode&sb=$sb"><img src="$wwwthreads::config{'images'}/sendprivate.gif" alt="Send Private Message" border=0></a>

  ~;

# If we came from showpost.pl then give them a link back to that post
  if ($what eq "showpost") {

    print "<a href=\"$wwwthreads::config{'cgiurl'}/showpost.pl?Board=$From&Number=$Number&page=$page&view=$view&mode=$mode&sb=$sb\"><img src=\"$wwwthreads::config{'images'}/returntoforum.gif\" alt=\"Return to the Forum\" border=0></a>";


# If we didn't then give them a link back to all the posts
  } else {

    print "<a href=\"$wwwthreads::config{'cgiurl'}/wwwthreads.pl?action=list&Board=$From&page=$page&view=$view&sb=$sb\"><img src=\"$wwwthreads::config{'images'}/returntoforum.gif\" alt=\"Return to the Forum\" border=0></a>";

  }


# Send the footer
  $sth -> finish;
  wwwthreads::send_footer();

